- [HTTP request](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1beta/projects.locations/retrieveAgentOpsObservability.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1beta/projects.locations/retrieveAgentOpsObservability.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1beta/projects.locations/retrieveAgentOpsObservability.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1beta/projects.locations/retrieveAgentOpsObservability.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1beta/projects.locations/retrieveAgentOpsObservability.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1beta/projects.locations/retrieveAgentOpsObservability.md.txt#body.RetrieveAgentOpsObservabilityResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1beta/projects.locations/retrieveAgentOpsObservability.md.txt#body.aspect)

Gets agent observability settings and the status of required services.

### HTTP request

`GET https://geminidataanalytics.googleapis.com/v1beta/{parent=projects/*/locations/*}:retrieveAgentOpsObservability`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location for which to retrieve agent observability settings. Format: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `dataSourceType` | `string` Required. The data source type for which to retrieve observability settings. The only supported value is `bigquery`. |

### Request body

The request body must be empty.

### Response body

Response for locations.retrieveAgentOpsObservability.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "telemetryEnabled": boolean, "bigqueryEnabled": boolean, "cloudTraceEnabled": boolean, "cloudMonitoringEnabled": boolean, "cloudLoggingEnabled": boolean, "bqaaEnabled": boolean } ``` |

| Fields ||
|---|---|
| `telemetryEnabled` | `boolean` Output only. Whether agent observability telemetry is enabled. |
| `bigqueryEnabled` | `boolean` Output only. Whether the BigQuery API is enabled. |
| `cloudTraceEnabled` | `boolean` Output only. Whether the Cloud Trace API is enabled. |
| `cloudMonitoringEnabled` | `boolean` Output only. Whether the Cloud Monitoring API is enabled. |
| `cloudLoggingEnabled` | `boolean` Output only. Whether the Cloud Logging API is enabled. |
| `bqaaEnabled` | `boolean` Output only. Whether BigQuery Agent Analytics is enabled. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).